export const LIGHT_HIGHLIGHT = {
  "code[class*=\"language-\"]": {
    "color": "hsl(230, 8%, 24%)",
    "textShadow": "0 1px rgba(0, 0, 0, 0.3)",
    "fontFamily": "Inconsolata, Monaco, Consolas, 'Courier New', Courier, monospace",
    "direction": "ltr",
    "textAlign": "left",
    "whiteSpace": "pre",
    "wordSpacing": "normal",
    "wordBreak": "normal",
    "lineHeight": "1.5",
    "MozTabSize": "4",
    "OTabSize": "4",
    "tabSize": "4",
    "WebkitHyphens": "none",
    "MozHyphens": "none",
    "msHyphens": "none",
    "hyphens": "none"
  },
  "pre[class*=\"language-\"]": {
    "color": "hsl(230, 8%, 24%)",
    "textShadow": "0 1px rgba(0, 0, 0, 0.3)",
    "fontFamily": "Inconsolata, Monaco, Consolas, 'Courier New', Courier, monospace",
    "direction": "ltr",
    "textAlign": "left",
    "whiteSpace": "pre",
    "wordSpacing": "normal",
    "wordBreak": "normal",
    "lineHeight": "1.5",
    "MozTabSize": "4",
    "OTabSize": "4",
    "tabSize": "4",
    "WebkitHyphens": "none",
    "MozHyphens": "none",
    "msHyphens": "none",
    "hyphens": "none",
    "padding": "1em",
    "margin": ".5em 0",
    "overflow": "auto",
    "borderRadius": "0.3em",
    "background": "hsl(230, 1%, 100%)"
  },
  ":not(pre) > code[class*=\"language-\"]": {
    "background": "hsl(230, 1%, 98%)",
    "padding": ".1em",
    "borderRadius": ".3em"
  },
  "comment": {
    "color": "hsl(118, 100%, 30%)"
  },
  "prolog": {
    "color": "hsl(230, 4%, 64%)" 
  },
  "doctype": {
    "color": "hsl(230, 8%, 24%)" 
  },
  "cdata": {
    "color": "hsl(230, 8%, 24%)" 
  },
  "punctuation": {
    "color": "hsl(266, 0%, 60%)" 
  },
  ".namespace": {
    "Opacity": ".7" 
  },
  "property": {
    "color": "hsl(5, 74%, 59%)" 
  },
  "keyword": {
    "color": "hsl(301, 63%, 40%)"
  },
  "tag": {
    "color": "hsl(5, 74%, 59%)"
  },
  "class-name": {
    "color": "hsl(21, 75%, 47%)",
    // "textDecoration": "underline"
  },
  "boolean": {
    "color": "hsl(35, 99%, 36%)"
  },
  "constant": {
    "color": "hsl(35, 99%, 36%)"
  },
  "symbol": {
    "color": "hsl(5, 74%, 59%)"
  },
  "deleted": {
    "color": "hsl(5, 74%, 59%)"
  },
  "number": {
    "color": "hsl(35, 99%, 36%)"
  },
  "atrule": {
    "color": "hsl(35, 99%, 36%)"
  },
  "selector": {
    "color": "hsl(119, 34%, 47%)"
  },
  "attr-name": {
    "color": "hsl(35, 99%, 36%)"
  },
  "string": {
    "color": "hsl(119, 34%, 47%)"
  },
  "char": {
    "color": "hsl(119, 34%, 47%)"
  },
  "builtin": {
    "color": "hsl(119, 34%, 47%)"
  },
  "inserted": {
    "color": "hsl(119, 34%, 47%)"
  },
  "variable": {
    "color": "hsl(221, 87%, 60%)"
  },
  "operator": {
    "color": "hsl(221, 87%, 60%)"
  },
  "entity": {
    "color": "#FFFFB6",
    "cursor": "help"
  },
  "url": {
    "color": "hsl(198, 99%, 37%)"
  },
  ".language-css .token.string": {
    "color": "#87C38A"
  },
  ".style .token.string": {
    "color": "#87C38A"
  },
  "attr-value": {
    "color": "hsl(119, 34%, 47%)"
  },
  "attr-value > .token.punctuation": {
    "color": "hsl(119, 34%, 47%)"
  },
  "function": {
    "color": "hsl(221, 87%, 60%)"
  },
  "regex": {
    "color": "hsl(119, 34%, 47%)"
  },
  "important": {
    "color": "hsl(5, 74%, 59%)",
    "fontWeight": "bold"
  },
  "bold": {
    "fontWeight": "bold"
  },
  "italic": {
    "fontStyle": "italic"
  }
};
